/*---------------------------------------------------------------
/* Make Ballot (c)1993,94 Ron Dippold All Rights Reserved
/*-------------------------------------------------------------*/
#define VERSION "\nUseVote 3.0 Make Ballot - (c) 1993,94 Ron Dippold\n\n"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "usevote.h"

FILE *fin;
char line[80];

#define MSG(x) fprintf( stderr, x )

/* ----------------------------------------------------
/* Help
/* ----------------------------------------------------
*/
void help()
{
  MSG("    uvballot <cfvnum>\n\n");
  MSG("  This generates a ballot for your vote.  Redirect the output\n");
  MSG("  to whatever file you want it in to add to your CFV.\n\n");
  MSG("  <cfvnum> is 1 for 1st CFV, 2 or 3 for later CFVs\n\n");
  MSG("  Please read the docs for sample pre-ballot text.\n\n");
  exit(1);
}


/* ----------------------------------------------------
/* Main procedure - almost everything goes here
/* ----------------------------------------------------
*/
int main( argc, argv )
int argc;
char **argv;
{
  int i;
  char cfv;
  char head[80];

  init_global_config();

  MSG( VERSION );
  if( argc != 2) {
    help();
  }

  if( argv[1][0] <'1' || argv[1][0] >'3' ) {
    help();
  } else {
    cfv = argv[1][0];
  }

  printf("-=-=-=-=-=- No BORRE nada entre estas lineas  =-=-=-=-=-=-=-=-\n");
  printf("Papeleta de %s    ", u_votename );

  if ( u_votemark ) {
    for(i=0; u_votemark[i]; i++) {
      if( u_votemark[i] == '%' ) {
        line[i]=cfv;
      } else {
        line[i]=u_votemark[i];
      }
    }
    line[i] = 0;
    printf("%s (No borre esta marca)",line);
  }
  printf( "\n" );

  if ( u_nametext ) {
    printf( "\n%s\n", u_nametext );
    if ( u_needname ) {
      printf( "Si no da un nombre real su voto sera rechazado.\n" );
    }
  }

  if( u_stv ) {
   
    printf( "\nEntre los siguientes parentesis ponga un 1 para su opcion preferida.\n" );
    printf( "Ponga un 2 para su siguiente eleccion. Continue hasta usar %d para.\n", GROUPS );
    printf( "su ultima opcion. Puede dejar las elecciones inaceptables en blanco.\n" );
    printf( "Empieze con 1, no se salte ningun numero ni tampoco los repita.\n\n" );   
    /*
    printf( "\nIn the brackets next to your preferred choice for group name, place a\n" );
    printf( "1.  Place a 2 in the brackets next to your next choice.  Continue till\n" );
    printf( "you use %d for your last choice.  You may leave choices you consider\n", GROUPS );
    printf( "unacceptable blank.  Start with 1, don't skip any numbers, don't repeat.\n\n" );
    */
    sprintf( head, "1-%d", GROUPS );
  } else {
    strcpy( head, "Su voto    " );
  }
  printf("\n[%s]  Groupo\n", head);
  for( i=0; head[i]; head[i++]=' ' );
  printf("-----------------------------------------------------------------------\n");
/*  printf("yes        this.is.an.example.group\n");
  printf(">no         this.is.another.example.group\n\n"); */

  for(i=0; i<GROUPS; i++) {
    printf("[%s]  %s\n",head, groupstxt[i]);
  }
  printf("-=-=-=-=-=- No BORRE nada entre estas lineas =-=-=-=-=-=-=-=-\n\n");
  return( 0 );
}


